unit dllFunc;

interface

uses dllClasses, uSearch;

{ Lit un enregistrement concernant les informations sur la librairie (Partag) }
function LoadOperationInfo : TRecOperation; export; stdcall;
{ Change la procedure qui est appell en cas de changement }
procedure setSignalProc(proc : TChangeEvent); export; stdcall;
{ Lit le nombre de fois que la librairie  t charg (Partag) }
function LoadedNumber : Integer; export; stdcall;

{ Vide la corbeille windows }
function ClearWindowsTrash : boolean; export; stdcall;
{ Vide le dossier temporaire }
function ClearWindowsTemp : Int64; export; stdcall;

{ Met  jour l'arbre de recherche }
procedure PreparationDeLArbre; export; stdcall;
{ Demmarre la recherche }
procedure StartSearch; export; stdcall;
{ Annule la recherche }
procedure StopSearsh; export; stdcall;

implementation

{ Bibliothque }

function LoadOperationInfo : TRecOperation; stdcall;
begin
  result := Librairie.OperationInfo
end;

procedure setSignalProc(proc : TChangeEvent); stdcall;
begin
  Librairie.OnChangeProc := proc;
end;

function ClearWindowsTrash : boolean; stdcall;
begin
  result := Librairie.ClearWindowsTrash;
end;

function ClearWindowsTemp : Int64; stdcall;
begin
  result := Librairie.ClearWindowsTemp;
end;

function LoadedNumber : Integer;
begin
  result := Librairie.LoadedNumber;
end;

procedure PreparationDeLArbre;
begin
  Librairie.InitializeTree;
end;

procedure StartSearch;
begin
  Librairie.StartSeatch;
end;

procedure StopSearsh;
begin
  Librairie.StopSearch;
end;

end.
