unit uFileList;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TListFileForm = class(TForm)
    ListViewFile: TListView;
    ButtonHelp: TButton;
    ButtonCancel: TButton;
    ButtonOk: TButton;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;


procedure ModifyFileList(FileList: TStrings);

implementation

{$R *.DFM}

uses uDiskUtils, FormsUtils;

procedure ModifyFileList(FileList: TStrings);
var ListFileForm: TListFileForm;
    I           : Integer;
    Item        : TListItem;
begin
  ListFileForm := TListFileForm.Create(Application);
  with ListFileForm do
  try
    CenterForm(ListFileForm);
    for I := 0 to FileList.Count - 1 do
    begin
      Item         := ListViewFile.Items.Add;
      Item.Caption := FileList[I];
      Item.SubItems.Add(SizeToStr(SizeOfFile(FileList[I])));
      Item.SubItems.Add(FileAttribue(FileList[I]));
      Item.Checked := (pos('R', Item.SubItems[1]) = 0) and
                      (pos('S', Item.SubItems[1]) = 0) and
                      (pos('H', Item.SubItems[1]) = 0);
    end;
    FileList.Clear;
    if ShowModal = mrok then
      for I := 0 to ListViewFile.Items.Count - 1 do
        if ListViewFile.Items[i].Checked then
          FileList.Add(ListViewFile.Items[i].Caption);
  finally
    Free;
  end;
end;

end.
